<?php

namespace Drupal\migrate_utils;

/**
 * Convenience class to access migrate state.
 */
class MigrateState {

  public const MIGRATION_RUNNING_KEY = 'migrate_utils.migration_running';
  public const ACTIVE_MIGRATION_KEY = 'migrate_utils.active_migration';

  /**
   * Whether a migration is running in current context.
   */
  public static function isMigrationRunning() {
    return \Drupal::state()->get(self::MIGRATION_RUNNING_KEY, FALSE);
  }

  /**
   * Get the active migration id.
   */
  public static function getActiveMigrationId() {
    return \Drupal::state()->get(self::ACTIVE_MIGRATION_KEY, NULL);
  }

}
